Bug Hunting Session
Bug 61102 - Drop-down list highlight error
Summary: Drop-down list highlight error
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-19 08:06 UTC by Gergő Mocsi
Modified: 2014-04-29 19:46 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gergő Mocsi 2013-02-19 08:06:45 UTC
When a drop-down list is in focus and is not editable (eg. Writer -> Paragraph -> Outline and Numbering -> Outline level), and there are list elements starting with the same letter, by pushing the appropriate button, every second gets highlighted:
Example:
the elements of the list:
0
X1
X2
X3
X4
X5

When you press button x, the highlighted values:
X1
X3
X5

If previously eg. X4 was highlighted, not X5, but X1 gets highlighted.
Comment 1 Jorendc 2013-07-02 22:32:24 UTC
Thanks for reporting! I can confirm this weird behavior using Mac OSX 10.8.4 with LibreOffice 4.1.0.1 RC1.

Kind regards,
Joren
Comment 2 Commit Notification 2014-04-29 15:55:45 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0c7b73a4b1b1cbf191404f2352b46f7746f5ff10

Resolves: fdo#61102 type ahead in lists skips the next entry



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Caolán McNamara 2014-04-29 19:46:29 UTC
Fixed now. Couldn't find a version in which is fixed. Removed 'regression' keyword